
public class Isometry2HashTable extends java.util.Hashtable
{
    Isometry2HashTable()
    {

    }






    public boolean Insert(Isometry2 F)
    {



        if (containsKey(F))
        {
            ++nInsertFailures;
            return false;
        }
        else
        {
            Object prev = put(F,F);
            { if (!(prev == null)) HyperbolicUtils.set_exception("Isometry2HashTable.java","Insert" , "prev == null" ); };
            ++nInsertSuccesses;


{
{ if (!(containsKey(F))) HyperbolicUtils.set_exception("Isometry2HashTable.java","Insert" , "containsKey(F)" ); };
{ if (!(put(F,F) == F)) HyperbolicUtils.set_exception("Isometry2HashTable.java","Insert" , "put(F,F) == F" ); };
{ if (!(containsKey(F))) HyperbolicUtils.set_exception("Isometry2HashTable.java","Insert" , "containsKey(F)" ); };
{ if (!(put(F,F) == F)) HyperbolicUtils.set_exception("Isometry2HashTable.java","Insert" , "put(F,F) == F" ); };
}
            return true;
        }
    }
    public int nInsertFailures = 0;
    public int nInsertSuccesses = 0;

}
